Bug 476538 - [patch] Invalid typedefs and drawing error in papyrus
Summary: [patch] Invalid typedefs and drawing error in papyrus
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: papyrus
Version: 10
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Rick L Vinyard Jr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-15 14:35 UTC by Tim Niemueller
Modified: 2009-01-29 23:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-29 23:11:00 UTC


Attachments (Terms of Use)
Patch to fix invalid typedefs (1.77 KB, patch)
2008-12-15 14:35 UTC, Tim Niemueller
no flags Details | Diff
Fix of invalid use of assign operator for valarray (737 bytes, patch)
2008-12-21 15:15 UTC, Tim Niemueller
no flags Details | Diff
Fix non-virtual dtors (10.43 KB, patch)
2009-01-01 10:53 UTC, Tim Niemueller
no flags Details | Diff

Description Tim Niemueller 2008-12-15 14:35:15 UTC
Created attachment 326946 [details]
Patch to fix invalid typedefs

Description of problem:
When compiling a Gtk application that uses papyrus with -Wall -Werror many "typedef was ignored in this declaration" turn up that prevent compilation.

Version-Release number of selected component (if applicable):
papyrus-0.7.1-3.fc9.x86_64
(papyrus has not been rebuilt for F-10 as it seems, why not?)

How reproducible:
Always

Steps to Reproduce:
1. Compile an application that uses papyrus with -Wall -Werror
  
Actual results:
Does not compile.

Expected results:
Should not compile.

Additional info:
Attached patch fixes the problem. Not sure whether I got all occurrences, yet.

Comment 1 Rick L Vinyard Jr 2008-12-20 18:06:10 UTC
Thanks. I'm getting ready to release 0.7.90 (most of which should be in subversion now) which is a pre-release of 0.8.0. There a few items to still clean up but it should happen some time next week.

I'll incorporate your patch in subversion sometime next week.

I didn't rebuild papyrus for F10 since I had hoped to have at least 0.7.90 out for F10.

Papyrus should be seeing a little more active development in the coming months and as always patches, bug reports and anything else you want to add are always welcome.

Comment 2 Tim Niemueller 2008-12-21 15:15:15 UTC
Created attachment 327582 [details]
Fix of invalid use of assign operator for valarray

Here is another patch. Papyrus uses the assignment operator with no effect. According to http://gcc.gnu.org/onlinedocs/libstdc++/libstdc++-html-USERS-4.3/a01316.html#e1af18a3f9a0f0dbe33b3ea4fb84c223 the result of executing "va1 = va2" with va1 and va2 being valarrays of the same type is undefined if the sizes are not equal. This is the case when assigning dashes to a LineStyle. The attached patch fixes this by properly resizing the valarray before the assignment.

Comment 3 Tim Niemueller 2008-12-21 15:17:08 UTC
I appreciate your effort! In the meantime you should push an update for F-8/9/10 with the mentioned patches. I have prepared such at http://fedorapeople.org/~timn/misc/ and if you don't mind I will push the updates quickly to get a working state.

Comment 4 Rick L Vinyard Jr 2008-12-21 17:01:37 UTC
Absolutely. If you'd like to push out an update feel free to. In the meantime I'll get the patches added to the upstream subversion repo.

Comment 5 Fedora Update System 2008-12-21 17:41:20 UTC
papyrus-0.7.1-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/papyrus-0.7.1-4.fc8

Comment 6 Fedora Update System 2008-12-21 17:45:49 UTC
papyrus-0.7.1-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/papyrus-0.7.1-4.fc9

Comment 7 Fedora Update System 2008-12-21 17:53:04 UTC
papyrus-0.7.1-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/papyrus-0.7.1-5.fc10

Comment 8 Fedora Update System 2008-12-24 18:40:22 UTC
papyrus-0.7.1-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update papyrus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-11714

Comment 9 Fedora Update System 2008-12-24 18:41:37 UTC
papyrus-0.7.1-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update papyrus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11717

Comment 10 Fedora Update System 2008-12-24 18:43:01 UTC
papyrus-0.7.1-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update papyrus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11735

Comment 11 Fedora Update System 2008-12-30 23:40:37 UTC
papyrus-0.7.1-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2008-12-30 23:46:47 UTC
papyrus-0.7.1-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-12-30 23:47:59 UTC
papyrus-0.7.1-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Tim Niemueller 2009-01-01 10:49:26 UTC
Re-opening as there is another patch required for proper usage of libpapyrus.

Comment 15 Tim Niemueller 2009-01-01 10:53:08 UTC
Created attachment 328031 [details]
Fix non-virtual dtors

There are many non-virtual dtors in classes that have virtual methods or are derived classes. This may cause problems like memory leaks. Additionally it causes the F-8 compiler to fail if "-Wall -Werror" is set. The attached patch makes all such dtors virtual.

This changes the ABI of libpapyrus. Still I did not bump the SONAME, this should be considered for the next official release of papyrus. The only dependent package in Fedora is conexusmm, which I will trigger a rebuild for once I've built the updated papyrus packages.

Comment 16 Fedora Update System 2009-01-01 11:20:39 UTC
papyrus-0.7.1-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/papyrus-0.7.1-6.fc8

Comment 17 Fedora Update System 2009-01-07 09:09:50 UTC
papyrus-0.7.1-6.fc8, conexusmm-0.5.0-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-01-14 17:16:57 UTC
papyrus-0.8.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/papyrus-0.8.0-1.fc10

Comment 19 Fedora Update System 2009-01-15 02:53:32 UTC
papyrus-0.8.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update papyrus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0384

Comment 20 Fedora Update System 2009-01-15 19:22:08 UTC
papyrus-0.8.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/papyrus-0.8.1-1.fc10

Comment 21 Fedora Update System 2009-01-16 23:45:00 UTC
conexus-0.5.98-1.fc10, papyrus-0.8.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update conexus papyrus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0641

Comment 22 Fedora Update System 2009-01-29 23:10:57 UTC
conexus-0.5.98-1.fc10, papyrus-0.8.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.